OpenNMS API 1.2.9

## org.opennms.netmgt.rtc
Class RTCConstants

    java.lang.Object
      org.opennms.netmgt.rtc.RTCConstants

public final class RTCConstants
extends java.lang.Object

This class is a repository for constant, static information concerning the RTC.

Author:
  Sowmya Kumaraswamy , OpenNMS

Field Summary
`static java.lang.String` `DB_GET_INFO_FOR_IP` The sql statement that is used to get node information for an IP address.
`static java.lang.String` `DB_GET_OUTAGE_ENTRIES` The sql statement for getting outage entries for a nodeid/ip/serviceid.
`static java.lang.String` `DB_GET_SERVICE_STATUS` The sql statement that is used to get 'status' for a nodeid/ip/svc.
`static java.lang.String` `DB_GET_SVC_ENTRIES` The sql statement that is used to get services information for a nodeid/IP address.
`static double` `NODE_NOT_IN_CATEGORY` The value returned by RTC if a nodeid/ip/svc tuple does not belong to a category.
`static java.lang.String` `RTC_CONF_FNAME` The base name of the eventd configuration file.
`static java.lang.String` `SQL_DB_NODE_IPADDRS` The SQL statement necessary to get the IP addresses associated with a node.
`static java.lang.String` `SQL_DB_SVC_TABLE_READ` The SQL statement necessary to read service id and service name into map.
`static java.lang.String` `SQL_DB_SVCNAME_TO_SVCID` The SQL statement necessary to convert the service name into a service id using the 'service' table.

Constructor Summary
`RTCConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE_NOT_IN_CATEGORY

    public static double NODE_NOT_IN_CATEGORY

  The value returned by RTC if a nodeid/ip/svc tuple does not belong to a category.

### RTC_CONF_FNAME

    public static final java.lang.String RTC_CONF_FNAME

  The base name of the eventd configuration file. This does not include any path information about the location of the file, just the filename itself.

  See Also:
    Constant Field Values

### SQL_DB_SVC_TABLE_READ

    public static final java.lang.String SQL_DB_SVC_TABLE_READ

  The SQL statement necessary to read service id and service name into map.

  See Also:
    Constant Field Values

### SQL_DB_SVCNAME_TO_SVCID

    public static final java.lang.String SQL_DB_SVCNAME_TO_SVCID

  The SQL statement necessary to convert the service name into a service id using the 'service' table.

  See Also:
    Constant Field Values

### DB_GET_INFO_FOR_IP

    public static final java.lang.String DB_GET_INFO_FOR_IP

  The sql statement that is used to get node information for an IP address.

  See Also:
    Constant Field Values

### DB_GET_SVC_ENTRIES

    public static final java.lang.String DB_GET_SVC_ENTRIES

  The sql statement that is used to get services information for a nodeid/IP address.

  See Also:
    Constant Field Values

### DB_GET_SERVICE_STATUS

    public static final java.lang.String DB_GET_SERVICE_STATUS

  The sql statement that is used to get 'status' for a nodeid/ip/svc.

  See Also:
    Constant Field Values

### DB_GET_OUTAGE_ENTRIES

    public static final java.lang.String DB_GET_OUTAGE_ENTRIES

  The sql statement for getting outage entries for a nodeid/ip/serviceid.

  See Also:
    Constant Field Values

### SQL_DB_NODE_IPADDRS

    public static final java.lang.String SQL_DB_NODE_IPADDRS

  The SQL statement necessary to get the IP addresses associated with a node.

  See Also:
    Constant Field Values

Constructor Detail

### RTCConstants

    public RTCConstants()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.